uucp(1)

NAZWA
uucp - Kopiowanie z Uniksa na Unix (Unix to Unix copy)

SKŁADNIA
uucp [opcje] plik-źródłowy plik-docelowy

uucp [opcje] plik-źródłowy... katalog-docelowy

OPIS
Polecenie uucp kopiuje pliki między dwoma systemami. Każdy argument plikowy może być albo ścieżką do pliku na lokalnej maszynie, albo może mieć postać

    system!ścieżka

która jest odczytywana jako plik na zdalnym systemie. W pierwszej postaci, zawartość pierwszego pliku jest kopiowana do drugiego. W drugim wypadku, każdy plik źródłowy jest kopiowany do katalogu docelowego.

Plik może być przeniesiony z lub do systemu2 poprzez system1 przy użyciu

    system1!system2!ścieżka.

Każda ścieżka, która nie zaczyna się od / lub ~, będzie doklejona do bieżącego katalogu roboczego (chyba że użyto opcji -W lub --noexpand); tak powstała ścieżka niekoniecznie musi istnieć na maszynie zdalnej. Ścieżka rozpoczynająca się od ~ wskazuje na katalog publiczny UUCP; ścieżka zaczynająca się od ~nazwa wskazuje na katalog domowy podanego użytkownika. ~ jest interpretowane na odpowiednim systemie. Zauważ, że niektóre powłoki interpretują tyldę ~ jako katalog domowy zanim zostanie przekazana do uucp; aby temu zapobiec, ~ powinno być cytowane.

Metaznaki ? * [ ] powłoki są interpretowane na odpowiednim systemie, przy założeniu, że są zacytowane, aby zapobiec ich interpretacji przez lokalną powłokę.

Kopiowanie nie następuje natychmiast, lecz jest kolejkowane dla demona uucico(8); demon jest uruchamiany natychmiast, chyba że podano przełączniki -r lub --nouucico. W każdym wypadku pliki zostaną skopiowane podczas następnej sesji połączeniowej ze zdalnym systemem.

OPCJE
Programowi uucp można przekazać następujące opcje:

-c, --nocopy
    Zakazuje kopiowania lokalnych plików źródłowych do katalogu kolejkowego. Jeśli zostaną one usunięte przed obróbką przez demona uucico(8), to kopiowanie się nie powiedzie. Pliki muszą być odczytywalne przez demona uucico(8) oraz przez wywołującego użytkownika. Tak jest domyślnie.

-C, --copy
    Kopiuje lokalne pliki źródłowe do katalogu kolejkowego.

-d, --directories
    Podczas kopiowania tworzy wszystkie potrzebne katalogi. Tak jest domyślnie.

-f, --nodirectories
    Jeśli potrzebne katalogi nie istnieją w ścieżce docelowej, przerywa kopiowanie.

-R, --recursive
    Jeśli jakaś z nazw plików źródłowych wskazuje na katalog, kopiuje rekurencyjnie jego zawartość.

-g stopień, --grade stopień
    Ustawia poziom polecenia transferu plików. Zadania o wyższym poziomie są wywoływane jako pierwsze. Poziomy odpowiadają 0 ... 9 A ... Z a ... z od najwyższego do najniższego.

-m, --mail
    Zgłasza zakończenie lub błąd transferu za pomocą mail(1).

-n user, --notify użytkownik
    Zgłasza zakończenie lub błąd transferu za pomocą mail(1) wskazanemu użytkownikowi systemu zdalnego.

-r, --nouucico
    Nie uruchamia demona uucico(8) natychmiast; zamiast tego po prostu kolejkuje zadanie na przyszłość.

-j, --jobid
    Wypisuje na standardowym wyjściu identyfikator zadania. Zadanie może być potem odwołane przez przekazanie identyfikatora przełącznikowi -k polecenia uustat(1). W przypadku złożonych operacji możliwe jest utworzenie więcej niż jednego identyfikatora; wówczas zostaną one wypisane w oddzielnych wierszach. Na przykład
    uucp sys1!~user1/file1 sys2!~user2/file2 ~user3
    wygeneruje dwa oddzielne zadania, jedno dla systemu sys1, a drugie dla systemu sys2.

-W, --noexpand
    Nie dopisuje zdalnych względnych ścieżek do katalogu bieżącego.

-t, --uuto
    Opcja ta jest używana przez skrypt powłoki uuto. Powoduje ona, że uucp interpretuje ostatni argument jako system!user. Pliki są wysyłane do ~/receive/USER/LOCAL zdalnego systemu, gdzie USER jest ostatnim argumentem, a LOCAL jest lokalną nazwą systemu UUCP. Dodatkowo, uucp będzie się zachowywać tak, jakby podano --notifyuser.

-x typ, --debug typ
    Włącza dany rodzaj diagnostyki. Rozpoznawane są następujące: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Znaczenie dla uucp mają tylko abnormal, config, spooldir i execute.

    Można podawać wiele typów rozdzielonych przecinkami, a opcja --debug może pojawić się wiele razy. Można podać także liczbę, która włączy kolejne typy powyższej listy; np, --debug 2 jest równoważne --debug abnormal,chat.

-I file, --config pliki
    Wskazuje plik konfiguracyjny, z którego ma korzystać program. Opcja ta może być niedostępna, zależnie od tego, jak skompilowano uucp.

-v, --version
    Pokazuje informację o wersji programu i kończy działanie.

--help
    Wyświetla komunikat pomocy i wychodzi.

ZOBACZ TAKŻE
mail(1), uux(1), uustat(1), uucico(8)

USTERKI
Niektóre opcje zależą od właściwości demona uucico(8) zdalnego systemu.

Przełączniki -n i -m nie działają podczas transferowania pliku z jednego zdalnego systemu na inny.

Nie są chronione prawa plików, poza bitem wykonania. Właścicielem pliku wynikowego jest użytkownik uucp.

AUTOR
Ian Lance Taylor <ian@airs.com>

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.